#!/bin/bash -e
#
# freebox-tools:bin/freebox-reset-plugs.sh
#
set -u
set -o pipefail

PROJECT_HOME="$( dirname "$( dirname "$( realpath "${BASH_SOURCE[0]}" )" )" )"
declare -r PROJECT_HOME

# shellcheck disable=SC1091
source "${PROJECT_HOME}/apis/bash-common-api/bash-common-api.sh" || exit $?

declare -r FREEBOX_BIN="${PROJECT_HOME}/bin/freebox.sh"

function main {
  "${FREEBOX_BIN}" --plug-reset-all || return $?
}

main "$@" || exit $?
